package com.mortals.xhx.module.workman.model;

import java.util.List;
import com.mortals.xhx.module.workman.model.WorkmanEntity;
/**
* 工作人员查询对象
*
* @author zxfei
* @date 2022-01-12
*/
public class WorkmanQuery extends WorkmanEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 系统用户id号 */
    private Long systemUserIdStart;

    /** 结束 系统用户id号 */
    private Long systemUserIdEnd;

    /** 增加 系统用户id号 */
    private Long systemUserIdIncrement;

    /** 系统用户id号列表 */
    private List <Long> systemUserIdList;

    /** 开始 部门id号 */
    private Long deptIdStart;

    /** 结束 部门id号 */
    private Long deptIdEnd;

    /** 增加 部门id号 */
    private Long deptIdIncrement;

    /** 部门id号列表 */
    private List <Long> deptIdList;

    /** 部门名称 */
    private List<String> deptNameList;

    /** 开始 窗口id号 */
    private Long windowIdStart;

    /** 结束 窗口id号 */
    private Long windowIdEnd;

    /** 增加 窗口id号 */
    private Long windowIdIncrement;

    /** 窗口id号列表 */
    private List <Long> windowIdList;

    /** 窗口名称 */
    private List<String> windowNameList;

    /** 开始 站点ID */
    private Long siteIdStart;

    /** 结束 站点ID */
    private Long siteIdEnd;

    /** 增加 站点ID */
    private Long siteIdIncrement;

    /** 站点ID列表 */
    private List <Long> siteIdList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 姓名 */
    private List<String> nameList;

    /** 工号 */
    private List<String> numberList;

    /** 职务 */
    private List<String> userpostList;

    /** 职称 */
    private List<String> posttitleList;

    /** 开始 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它) */
    private Integer politicalstatusStart;

    /** 结束 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它) */
    private Integer politicalstatusEnd;

    /** 增加 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它) */
    private Integer politicalstatusIncrement;

    /** 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)列表 */
    private List <Integer> politicalstatusList;

    /** 开始 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗) */
    private Integer dangyuanStart;

    /** 结束 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗) */
    private Integer dangyuanEnd;

    /** 增加 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗) */
    private Integer dangyuanIncrement;

    /** 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)列表 */
    private List <Integer> dangyuanList;

    /** 电话 */
    private List<String> phoneList;

    /** 手机 */
    private List<String> mobileList;

    /** 开始 星级 */
    private Integer starlevelStart;

    /** 结束 星级 */
    private Integer starlevelEnd;

    /** 增加 星级 */
    private Integer starlevelIncrement;

    /** 星级列表 */
    private List <Integer> starlevelList;

    /** 个人简介 */
    private List<String> summaryList;

    /** 照片 */
    private List<String> photoPathList;

    /** 岗位职责 */
    private List<String> dutyList;

    /** 服务承诺 */
    private List<String> promiseList;

    /** 办理事项 */
    private List<String> businessList;

    /** 开始 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆） */
    private Integer onlineStart;

    /** 结束 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆） */
    private Integer onlineEnd;

    /** 增加 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆） */
    private Integer onlineIncrement;

    /** 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）列表 */
    private List <Integer> onlineList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<WorkmanQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<WorkmanQuery> andConditionList;

    public WorkmanQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 系统用户id号
    * @return systemUserIdStart
    */
    public Long getSystemUserIdStart(){
        return this.systemUserIdStart;
    }

    /**
    * 设置 开始 系统用户id号
    * @param systemUserIdStart
    */
    public void setSystemUserIdStart(Long systemUserIdStart){
        this.systemUserIdStart = systemUserIdStart;
    }

    /**
    * 获取 结束 系统用户id号
    * @return $systemUserIdEnd
    */
    public Long getSystemUserIdEnd(){
        return this.systemUserIdEnd;
    }

    /**
    * 设置 结束 系统用户id号
    * @param systemUserIdEnd
    */
    public void setSystemUserIdEnd(Long systemUserIdEnd){
        this.systemUserIdEnd = systemUserIdEnd;
    }

    /**
    * 获取 增加 系统用户id号
    * @return systemUserIdIncrement
    */
    public Long getSystemUserIdIncrement(){
        return this.systemUserIdIncrement;
    }

    /**
    * 设置 增加 系统用户id号
    * @param systemUserIdIncrement
    */
    public void setSystemUserIdIncrement(Long systemUserIdIncrement){
        this.systemUserIdIncrement = systemUserIdIncrement;
    }

    /**
    * 获取 系统用户id号
    * @return systemUserIdList
    */
    public List<Long> getSystemUserIdList(){
        return this.systemUserIdList;
    }

    /**
    * 设置 系统用户id号
    * @param systemUserIdList
    */
    public void setSystemUserIdList(List<Long> systemUserIdList){
        this.systemUserIdList = systemUserIdList;
    }

    /**
    * 获取 开始 部门id号
    * @return deptIdStart
    */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
    * 设置 开始 部门id号
    * @param deptIdStart
    */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
    * 获取 结束 部门id号
    * @return $deptIdEnd
    */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
    * 设置 结束 部门id号
    * @param deptIdEnd
    */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
    * 获取 增加 部门id号
    * @return deptIdIncrement
    */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
    * 设置 增加 部门id号
    * @param deptIdIncrement
    */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
    * 获取 部门id号
    * @return deptIdList
    */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
    * 设置 部门id号
    * @param deptIdList
    */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
    * 获取 部门名称
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 部门名称
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }
    /**
    * 获取 开始 窗口id号
    * @return windowIdStart
    */
    public Long getWindowIdStart(){
        return this.windowIdStart;
    }

    /**
    * 设置 开始 窗口id号
    * @param windowIdStart
    */
    public void setWindowIdStart(Long windowIdStart){
        this.windowIdStart = windowIdStart;
    }

    /**
    * 获取 结束 窗口id号
    * @return $windowIdEnd
    */
    public Long getWindowIdEnd(){
        return this.windowIdEnd;
    }

    /**
    * 设置 结束 窗口id号
    * @param windowIdEnd
    */
    public void setWindowIdEnd(Long windowIdEnd){
        this.windowIdEnd = windowIdEnd;
    }

    /**
    * 获取 增加 窗口id号
    * @return windowIdIncrement
    */
    public Long getWindowIdIncrement(){
        return this.windowIdIncrement;
    }

    /**
    * 设置 增加 窗口id号
    * @param windowIdIncrement
    */
    public void setWindowIdIncrement(Long windowIdIncrement){
        this.windowIdIncrement = windowIdIncrement;
    }

    /**
    * 获取 窗口id号
    * @return windowIdList
    */
    public List<Long> getWindowIdList(){
        return this.windowIdList;
    }

    /**
    * 设置 窗口id号
    * @param windowIdList
    */
    public void setWindowIdList(List<Long> windowIdList){
        this.windowIdList = windowIdList;
    }

    /**
    * 获取 窗口名称
    * @return windowNameList
    */
    public List<String> getWindowNameList(){
        return this.windowNameList;
    }

    /**
    * 设置 窗口名称
    * @param windowNameList
    */
    public void setWindowNameList(List<String> windowNameList){
        this.windowNameList = windowNameList;
    }
    /**
    * 获取 开始 站点ID
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点ID
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点ID
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点ID
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点ID
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点ID
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点ID
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点ID
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点名称
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }
    /**
    * 获取 姓名
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 姓名
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }
    /**
    * 获取 工号
    * @return numberList
    */
    public List<String> getNumberList(){
        return this.numberList;
    }

    /**
    * 设置 工号
    * @param numberList
    */
    public void setNumberList(List<String> numberList){
        this.numberList = numberList;
    }
    /**
    * 获取 职务
    * @return userpostList
    */
    public List<String> getUserpostList(){
        return this.userpostList;
    }

    /**
    * 设置 职务
    * @param userpostList
    */
    public void setUserpostList(List<String> userpostList){
        this.userpostList = userpostList;
    }
    /**
    * 获取 职称
    * @return posttitleList
    */
    public List<String> getPosttitleList(){
        return this.posttitleList;
    }

    /**
    * 设置 职称
    * @param posttitleList
    */
    public void setPosttitleList(List<String> posttitleList){
        this.posttitleList = posttitleList;
    }
    /**
    * 获取 开始 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
    * @return politicalstatusStart
    */
    public Integer getPoliticalstatusStart(){
        return this.politicalstatusStart;
    }

    /**
    * 设置 开始 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
    * @param politicalstatusStart
    */
    public void setPoliticalstatusStart(Integer politicalstatusStart){
        this.politicalstatusStart = politicalstatusStart;
    }

    /**
    * 获取 结束 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
    * @return $politicalstatusEnd
    */
    public Integer getPoliticalstatusEnd(){
        return this.politicalstatusEnd;
    }

    /**
    * 设置 结束 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
    * @param politicalstatusEnd
    */
    public void setPoliticalstatusEnd(Integer politicalstatusEnd){
        this.politicalstatusEnd = politicalstatusEnd;
    }

    /**
    * 获取 增加 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
    * @return politicalstatusIncrement
    */
    public Integer getPoliticalstatusIncrement(){
        return this.politicalstatusIncrement;
    }

    /**
    * 设置 增加 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
    * @param politicalstatusIncrement
    */
    public void setPoliticalstatusIncrement(Integer politicalstatusIncrement){
        this.politicalstatusIncrement = politicalstatusIncrement;
    }

    /**
    * 获取 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
    * @return politicalstatusList
    */
    public List<Integer> getPoliticalstatusList(){
        return this.politicalstatusList;
    }

    /**
    * 设置 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
    * @param politicalstatusList
    */
    public void setPoliticalstatusList(List<Integer> politicalstatusList){
        this.politicalstatusList = politicalstatusList;
    }

    /**
    * 获取 开始 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
    * @return dangyuanStart
    */
    public Integer getDangyuanStart(){
        return this.dangyuanStart;
    }

    /**
    * 设置 开始 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
    * @param dangyuanStart
    */
    public void setDangyuanStart(Integer dangyuanStart){
        this.dangyuanStart = dangyuanStart;
    }

    /**
    * 获取 结束 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
    * @return $dangyuanEnd
    */
    public Integer getDangyuanEnd(){
        return this.dangyuanEnd;
    }

    /**
    * 设置 结束 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
    * @param dangyuanEnd
    */
    public void setDangyuanEnd(Integer dangyuanEnd){
        this.dangyuanEnd = dangyuanEnd;
    }

    /**
    * 获取 增加 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
    * @return dangyuanIncrement
    */
    public Integer getDangyuanIncrement(){
        return this.dangyuanIncrement;
    }

    /**
    * 设置 增加 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
    * @param dangyuanIncrement
    */
    public void setDangyuanIncrement(Integer dangyuanIncrement){
        this.dangyuanIncrement = dangyuanIncrement;
    }

    /**
    * 获取 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
    * @return dangyuanList
    */
    public List<Integer> getDangyuanList(){
        return this.dangyuanList;
    }

    /**
    * 设置 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
    * @param dangyuanList
    */
    public void setDangyuanList(List<Integer> dangyuanList){
        this.dangyuanList = dangyuanList;
    }

    /**
    * 获取 电话
    * @return phoneList
    */
    public List<String> getPhoneList(){
        return this.phoneList;
    }

    /**
    * 设置 电话
    * @param phoneList
    */
    public void setPhoneList(List<String> phoneList){
        this.phoneList = phoneList;
    }
    /**
    * 获取 手机
    * @return mobileList
    */
    public List<String> getMobileList(){
        return this.mobileList;
    }

    /**
    * 设置 手机
    * @param mobileList
    */
    public void setMobileList(List<String> mobileList){
        this.mobileList = mobileList;
    }
    /**
    * 获取 开始 星级
    * @return starlevelStart
    */
    public Integer getStarlevelStart(){
        return this.starlevelStart;
    }

    /**
    * 设置 开始 星级
    * @param starlevelStart
    */
    public void setStarlevelStart(Integer starlevelStart){
        this.starlevelStart = starlevelStart;
    }

    /**
    * 获取 结束 星级
    * @return $starlevelEnd
    */
    public Integer getStarlevelEnd(){
        return this.starlevelEnd;
    }

    /**
    * 设置 结束 星级
    * @param starlevelEnd
    */
    public void setStarlevelEnd(Integer starlevelEnd){
        this.starlevelEnd = starlevelEnd;
    }

    /**
    * 获取 增加 星级
    * @return starlevelIncrement
    */
    public Integer getStarlevelIncrement(){
        return this.starlevelIncrement;
    }

    /**
    * 设置 增加 星级
    * @param starlevelIncrement
    */
    public void setStarlevelIncrement(Integer starlevelIncrement){
        this.starlevelIncrement = starlevelIncrement;
    }

    /**
    * 获取 星级
    * @return starlevelList
    */
    public List<Integer> getStarlevelList(){
        return this.starlevelList;
    }

    /**
    * 设置 星级
    * @param starlevelList
    */
    public void setStarlevelList(List<Integer> starlevelList){
        this.starlevelList = starlevelList;
    }

    /**
    * 获取 个人简介
    * @return summaryList
    */
    public List<String> getSummaryList(){
        return this.summaryList;
    }

    /**
    * 设置 个人简介
    * @param summaryList
    */
    public void setSummaryList(List<String> summaryList){
        this.summaryList = summaryList;
    }
    /**
    * 获取 照片
    * @return photoPathList
    */
    public List<String> getPhotoPathList(){
        return this.photoPathList;
    }

    /**
    * 设置 照片
    * @param photoPathList
    */
    public void setPhotoPathList(List<String> photoPathList){
        this.photoPathList = photoPathList;
    }
    /**
    * 获取 岗位职责
    * @return dutyList
    */
    public List<String> getDutyList(){
        return this.dutyList;
    }

    /**
    * 设置 岗位职责
    * @param dutyList
    */
    public void setDutyList(List<String> dutyList){
        this.dutyList = dutyList;
    }
    /**
    * 获取 服务承诺
    * @return promiseList
    */
    public List<String> getPromiseList(){
        return this.promiseList;
    }

    /**
    * 设置 服务承诺
    * @param promiseList
    */
    public void setPromiseList(List<String> promiseList){
        this.promiseList = promiseList;
    }
    /**
    * 获取 办理事项
    * @return businessList
    */
    public List<String> getBusinessList(){
        return this.businessList;
    }

    /**
    * 设置 办理事项
    * @param businessList
    */
    public void setBusinessList(List<String> businessList){
        this.businessList = businessList;
    }
    /**
    * 获取 开始 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
    * @return onlineStart
    */
    public Integer getOnlineStart(){
        return this.onlineStart;
    }

    /**
    * 设置 开始 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
    * @param onlineStart
    */
    public void setOnlineStart(Integer onlineStart){
        this.onlineStart = onlineStart;
    }

    /**
    * 获取 结束 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
    * @return $onlineEnd
    */
    public Integer getOnlineEnd(){
        return this.onlineEnd;
    }

    /**
    * 设置 结束 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
    * @param onlineEnd
    */
    public void setOnlineEnd(Integer onlineEnd){
        this.onlineEnd = onlineEnd;
    }

    /**
    * 获取 增加 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
    * @return onlineIncrement
    */
    public Integer getOnlineIncrement(){
        return this.onlineIncrement;
    }

    /**
    * 设置 增加 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
    * @param onlineIncrement
    */
    public void setOnlineIncrement(Integer onlineIncrement){
        this.onlineIncrement = onlineIncrement;
    }

    /**
    * 获取 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
    * @return onlineList
    */
    public List<Integer> getOnlineList(){
        return this.onlineList;
    }

    /**
    * 设置 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
    * @param onlineList
    */
    public void setOnlineList(List<Integer> onlineList){
        this.onlineList = onlineList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public WorkmanQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public WorkmanQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public WorkmanQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public WorkmanQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public WorkmanQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  系统用户id号
    * @param systemUserId
    */
    public WorkmanQuery systemUserId(Long systemUserId){
	    setSystemUserId(systemUserId);
		return this;
    }
	
	 /**
    * 设置 开始 系统用户id号
    * @param systemUserIdStart
    */
    public WorkmanQuery systemUserIdStart(Long systemUserIdStart){
		this.systemUserIdStart = systemUserIdStart;
		return this;
    }

    /**
    * 设置 结束 系统用户id号
    * @param systemUserIdEnd
    */
    public WorkmanQuery systemUserIdEnd(Long systemUserIdEnd){
		this.systemUserIdEnd = systemUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 系统用户id号
    * @param systemUserIdIncrement
    */
    public WorkmanQuery systemUserIdIncrement(Long systemUserIdIncrement){
		this.systemUserIdIncrement = systemUserIdIncrement;
		return this;
    }

    /**
    * 设置 系统用户id号
    * @param systemUserIdList
    */
    public WorkmanQuery systemUserIdList(List<Long> systemUserIdList){
        this.systemUserIdList = systemUserIdList;
		return this;
        }

    /**
    * 设置  部门id号
    * @param deptId
    */
    public WorkmanQuery deptId(Long deptId){
	    setDeptId(deptId);
		return this;
    }
	
	 /**
    * 设置 开始 部门id号
    * @param deptIdStart
    */
    public WorkmanQuery deptIdStart(Long deptIdStart){
		this.deptIdStart = deptIdStart;
		return this;
    }

    /**
    * 设置 结束 部门id号
    * @param deptIdEnd
    */
    public WorkmanQuery deptIdEnd(Long deptIdEnd){
		this.deptIdEnd = deptIdEnd;
		return this;
    }

    /**
    * 设置 增加 部门id号
    * @param deptIdIncrement
    */
    public WorkmanQuery deptIdIncrement(Long deptIdIncrement){
		this.deptIdIncrement = deptIdIncrement;
		return this;
    }

    /**
    * 设置 部门id号
    * @param deptIdList
    */
    public WorkmanQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
		return this;
        }


	/**
    * 设置 部门名称
    * @param deptName
    */
    public WorkmanQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }

    /**
    * 设置 部门名称
    * @param deptNameList
    */
    public WorkmanQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }

    /**
    * 设置  窗口id号
    * @param windowId
    */
    public WorkmanQuery windowId(Long windowId){
	    setWindowId(windowId);
		return this;
    }
	
	 /**
    * 设置 开始 窗口id号
    * @param windowIdStart
    */
    public WorkmanQuery windowIdStart(Long windowIdStart){
		this.windowIdStart = windowIdStart;
		return this;
    }

    /**
    * 设置 结束 窗口id号
    * @param windowIdEnd
    */
    public WorkmanQuery windowIdEnd(Long windowIdEnd){
		this.windowIdEnd = windowIdEnd;
		return this;
    }

    /**
    * 设置 增加 窗口id号
    * @param windowIdIncrement
    */
    public WorkmanQuery windowIdIncrement(Long windowIdIncrement){
		this.windowIdIncrement = windowIdIncrement;
		return this;
    }

    /**
    * 设置 窗口id号
    * @param windowIdList
    */
    public WorkmanQuery windowIdList(List<Long> windowIdList){
        this.windowIdList = windowIdList;
		return this;
        }


	/**
    * 设置 窗口名称
    * @param windowName
    */
    public WorkmanQuery windowName(String windowName){
        setWindowName(windowName);
		return this;
    }

    /**
    * 设置 窗口名称
    * @param windowNameList
    */
    public WorkmanQuery windowNameList(List<String> windowNameList){
        this.windowNameList = windowNameList;
		return this;
    }

    /**
    * 设置  站点ID
    * @param siteId
    */
    public WorkmanQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点ID
    * @param siteIdStart
    */
    public WorkmanQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点ID
    * @param siteIdEnd
    */
    public WorkmanQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点ID
    * @param siteIdIncrement
    */
    public WorkmanQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点ID
    * @param siteIdList
    */
    public WorkmanQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }


	/**
    * 设置 站点名称
    * @param siteName
    */
    public WorkmanQuery siteName(String siteName){
        setSiteName(siteName);
		return this;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public WorkmanQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }


	/**
    * 设置 姓名
    * @param name
    */
    public WorkmanQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 姓名
    * @param nameList
    */
    public WorkmanQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 工号
    * @param number
    */
    public WorkmanQuery number(String number){
        setNumber(number);
		return this;
    }

    /**
    * 设置 工号
    * @param numberList
    */
    public WorkmanQuery numberList(List<String> numberList){
        this.numberList = numberList;
		return this;
    }


	/**
    * 设置 职务
    * @param userpost
    */
    public WorkmanQuery userpost(String userpost){
        setUserpost(userpost);
		return this;
    }

    /**
    * 设置 职务
    * @param userpostList
    */
    public WorkmanQuery userpostList(List<String> userpostList){
        this.userpostList = userpostList;
		return this;
    }


	/**
    * 设置 职称
    * @param posttitle
    */
    public WorkmanQuery posttitle(String posttitle){
        setPosttitle(posttitle);
		return this;
    }

    /**
    * 设置 职称
    * @param posttitleList
    */
    public WorkmanQuery posttitleList(List<String> posttitleList){
        this.posttitleList = posttitleList;
		return this;
    }

    /**
    * 设置  政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
    * @param politicalstatus
    */
    public WorkmanQuery politicalstatus(Integer politicalstatus){
	    setPoliticalstatus(politicalstatus);
		return this;
    }
	
	 /**
    * 设置 开始 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
    * @param politicalstatusStart
    */
    public WorkmanQuery politicalstatusStart(Integer politicalstatusStart){
		this.politicalstatusStart = politicalstatusStart;
		return this;
    }

    /**
    * 设置 结束 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
    * @param politicalstatusEnd
    */
    public WorkmanQuery politicalstatusEnd(Integer politicalstatusEnd){
		this.politicalstatusEnd = politicalstatusEnd;
		return this;
    }

    /**
    * 设置 增加 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
    * @param politicalstatusIncrement
    */
    public WorkmanQuery politicalstatusIncrement(Integer politicalstatusIncrement){
		this.politicalstatusIncrement = politicalstatusIncrement;
		return this;
    }

    /**
    * 设置 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
    * @param politicalstatusList
    */
    public WorkmanQuery politicalstatusList(List<Integer> politicalstatusList){
        this.politicalstatusList = politicalstatusList;
		return this;
        }

    /**
    * 设置  党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
    * @param dangyuan
    */
    public WorkmanQuery dangyuan(Integer dangyuan){
	    setDangyuan(dangyuan);
		return this;
    }
	
	 /**
    * 设置 开始 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
    * @param dangyuanStart
    */
    public WorkmanQuery dangyuanStart(Integer dangyuanStart){
		this.dangyuanStart = dangyuanStart;
		return this;
    }

    /**
    * 设置 结束 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
    * @param dangyuanEnd
    */
    public WorkmanQuery dangyuanEnd(Integer dangyuanEnd){
		this.dangyuanEnd = dangyuanEnd;
		return this;
    }

    /**
    * 设置 增加 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
    * @param dangyuanIncrement
    */
    public WorkmanQuery dangyuanIncrement(Integer dangyuanIncrement){
		this.dangyuanIncrement = dangyuanIncrement;
		return this;
    }

    /**
    * 设置 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
    * @param dangyuanList
    */
    public WorkmanQuery dangyuanList(List<Integer> dangyuanList){
        this.dangyuanList = dangyuanList;
		return this;
        }


	/**
    * 设置 电话
    * @param phone
    */
    public WorkmanQuery phone(String phone){
        setPhone(phone);
		return this;
    }

    /**
    * 设置 电话
    * @param phoneList
    */
    public WorkmanQuery phoneList(List<String> phoneList){
        this.phoneList = phoneList;
		return this;
    }


	/**
    * 设置 手机
    * @param mobile
    */
    public WorkmanQuery mobile(String mobile){
        setMobile(mobile);
		return this;
    }

    /**
    * 设置 手机
    * @param mobileList
    */
    public WorkmanQuery mobileList(List<String> mobileList){
        this.mobileList = mobileList;
		return this;
    }

    /**
    * 设置  星级
    * @param starlevel
    */
    public WorkmanQuery starlevel(Integer starlevel){
	    setStarlevel(starlevel);
		return this;
    }
	
	 /**
    * 设置 开始 星级
    * @param starlevelStart
    */
    public WorkmanQuery starlevelStart(Integer starlevelStart){
		this.starlevelStart = starlevelStart;
		return this;
    }

    /**
    * 设置 结束 星级
    * @param starlevelEnd
    */
    public WorkmanQuery starlevelEnd(Integer starlevelEnd){
		this.starlevelEnd = starlevelEnd;
		return this;
    }

    /**
    * 设置 增加 星级
    * @param starlevelIncrement
    */
    public WorkmanQuery starlevelIncrement(Integer starlevelIncrement){
		this.starlevelIncrement = starlevelIncrement;
		return this;
    }

    /**
    * 设置 星级
    * @param starlevelList
    */
    public WorkmanQuery starlevelList(List<Integer> starlevelList){
        this.starlevelList = starlevelList;
		return this;
        }


	/**
    * 设置 个人简介
    * @param summary
    */
    public WorkmanQuery summary(String summary){
        setSummary(summary);
		return this;
    }

    /**
    * 设置 个人简介
    * @param summaryList
    */
    public WorkmanQuery summaryList(List<String> summaryList){
        this.summaryList = summaryList;
		return this;
    }


	/**
    * 设置 照片
    * @param photoPath
    */
    public WorkmanQuery photoPath(String photoPath){
        setPhotoPath(photoPath);
		return this;
    }

    /**
    * 设置 照片
    * @param photoPathList
    */
    public WorkmanQuery photoPathList(List<String> photoPathList){
        this.photoPathList = photoPathList;
		return this;
    }


	/**
    * 设置 岗位职责
    * @param duty
    */
    public WorkmanQuery duty(String duty){
        setDuty(duty);
		return this;
    }

    /**
    * 设置 岗位职责
    * @param dutyList
    */
    public WorkmanQuery dutyList(List<String> dutyList){
        this.dutyList = dutyList;
		return this;
    }


	/**
    * 设置 服务承诺
    * @param promise
    */
    public WorkmanQuery promise(String promise){
        setPromise(promise);
		return this;
    }

    /**
    * 设置 服务承诺
    * @param promiseList
    */
    public WorkmanQuery promiseList(List<String> promiseList){
        this.promiseList = promiseList;
		return this;
    }


	/**
    * 设置 办理事项
    * @param business
    */
    public WorkmanQuery business(String business){
        setBusiness(business);
		return this;
    }

    /**
    * 设置 办理事项
    * @param businessList
    */
    public WorkmanQuery businessList(List<String> businessList){
        this.businessList = businessList;
		return this;
    }

    /**
    * 设置  是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
    * @param online
    */
    public WorkmanQuery online(Integer online){
	    setOnline(online);
		return this;
    }
	
	 /**
    * 设置 开始 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
    * @param onlineStart
    */
    public WorkmanQuery onlineStart(Integer onlineStart){
		this.onlineStart = onlineStart;
		return this;
    }

    /**
    * 设置 结束 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
    * @param onlineEnd
    */
    public WorkmanQuery onlineEnd(Integer onlineEnd){
		this.onlineEnd = onlineEnd;
		return this;
    }

    /**
    * 设置 增加 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
    * @param onlineIncrement
    */
    public WorkmanQuery onlineIncrement(Integer onlineIncrement){
		this.onlineIncrement = onlineIncrement;
		return this;
    }

    /**
    * 设置 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
    * @param onlineList
    */
    public WorkmanQuery onlineList(List<Integer> onlineList){
        this.onlineList = onlineList;
		return this;
        }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public WorkmanQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public WorkmanQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public WorkmanQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public WorkmanQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public WorkmanQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<WorkmanQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<WorkmanQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<WorkmanQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<WorkmanQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}